### File

`packages/components/eui-input-number/eui-input-number.component.ts`

### Extends

`Cleave`

### Index

###### Properties
Optional callOnValueChanged Optional initDateFormatter Optional initNumeralFormatter Optional initPhoneFormatter Optional initSwapHiddenInput Optional initTimeFormatter Optional onChange Optional onChangeListener Optional onCopy Optional onCopyListener Optional onCut Optional onCutListener Optional onFocus Optional onFocusListener Optional onKeyDown Optional onKeyDownListener Optional updateCreditCardPropsByValue Optional updateValueState

### Properties

callOnValueChanged
`callOnValueChanged: `function``
Type : `function`
Optional

initDateFormatter
`initDateFormatter: `function``
Type : `function`
Optional

initNumeralFormatter
`initNumeralFormatter: `function``
Type : `function`
Optional

initPhoneFormatter
`initPhoneFormatter: `function``
Type : `function`
Optional

initSwapHiddenInput
`initSwapHiddenInput: `function``
Type : `function`
Optional

initTimeFormatter
`initTimeFormatter: `function``
Type : `function`
Optional

onChange
`onChange: `function``
Type : `function`
Optional

onChangeListener
`onChangeListener: `function``
Type : `function`
Optional

onCopy
`onCopy: `function``
Type : `function`
Optional

onCopyListener
`onCopyListener: `function``
Type : `function`
Optional

onCut
`onCut: `function``
Type : `function`
Optional

onCutListener
`onCutListener: `function``
Type : `function`
Optional

onFocus
`onFocus: `function``
Type : `function`
Optional

onFocusListener
`onFocusListener: `function``
Type : `function`
Optional

onKeyDown
`onKeyDown: `function``
Type : `function`
Optional

onKeyDownListener
`onKeyDownListener: `function``
Type : `function`
Optional

updateCreditCardPropsByValue
`updateCreditCardPropsByValue: `function``
Type : `function`
Optional

updateValueState
`updateValueState: `function``
Type : `function`
Optional

# results matching ""

# No results matching ""